package hideandseek.commands.admin;

import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Firework;
import org.bukkit.ChatColor;
import org.bukkit.Location;
import hideandseek.managers.FilesManager;
import hideandseek.Arena;
import org.bukkit.entity.Player;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class PowerupCommand extends SubCommand
{
    public PowerupCommand() {
        super("hideandseek.powerup", false, "Add/Del <Arena>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        final Player var5 = (Player)var3;
        if (var4.length < 3 || (!var4[1].equalsIgnoreCase("add") && !var4[1].equalsIgnoreCase("del"))) {
            return false;
        }
        final Arena arena = Arena.valueOf(var4[2]);
        if (arena == null) {
            var5.sendMessage((String)var2.messages.get("unknown_arena"));
            return true;
        }
        final FileConfiguration var6 = FilesManager.getInstance().getConfig("arenas.yml");
        final String var7 = "Arenas." + arena.name + ".powerups";
        if (var4[1].equalsIgnoreCase("add")) {
            final Location var8 = var5.getLocation();
            final int id = var6.contains(var7) ? (var6.getConfigurationSection(var7).getKeys(false).size() + 1) : 1;
            final Location var9 = new Location(var8.getWorld(), var8.getBlockX() + 0.5, (double)(var8.getBlockY() + 1), var8.getBlockZ() + 0.5);
            var6.set(var7 + "." + id + ".world", (Object)var9.getWorld().getName());
            var6.set(var7 + "." + id + ".x", (Object)var9.getX());
            var6.set(var7 + "." + id + ".y", (Object)var9.getY());
            var6.set(var7 + "." + id + ".z", (Object)var9.getZ());
            FilesManager.getInstance().saveConfig("arenas.yml");
            arena.powerups.add(var9);
            var5.sendMessage(var2.prefix + "你成功为房间" + String.valueOf(ChatColor.YELLOW) + arena.name + String.valueOf(ChatColor.GOLD) + " 添加了ID为 " + String.valueOf(ChatColor.AQUA) + id + String.valueOf(ChatColor.GOLD) + "的小道具生成点");
            var9.getWorld().spawn(var9, (Class)Firework.class);
        }
        else {
            if (arena.powerups.isEmpty()) {
                var5.sendMessage(var2.prefix + "当前房间内没有可供移除的小道具生成点!");
                return true;
            }
            final int id2 = arena.powerups.size();
            arena.powerups.remove(id2 - 1);
            var6.set("Arenas." + arena.name + ".powerups." + id2, (Object)null);
            FilesManager.getInstance().saveConfig("arenas.yml");
            var5.sendMessage(var2.prefix + "你成功为房间" + String.valueOf(ChatColor.YELLOW) + arena.name + String.valueOf(ChatColor.GOLD) + "移除了ID为" + String.valueOf(ChatColor.AQUA) + id2 + String.valueOf(ChatColor.GOLD) + "的小道具生成点");
        }
        return true;
    }
}
